<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$subcategorymid=$_POST['subcategorymid'];
	$subcategoryname=checkvalidstring($_POST['subcategoryname']);
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	

	$eve = "update res_subcategory_master set subcategoryname='$subcategoryname' $tt where subcategorymid='$subcategorymid'";

	

	if ($conn->query($eve) === TRUE)

	{		

		$_SESSION['msg'] = "subcategory Record Updated succesfully";

		header('Location: subcategory.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: subcategory.php');

	}

?>